## Reports commands

Commands Module - Reports - Adds a commands that allow players to report other players

### Dependencies

expcore.roles
expcore.commands
modules.control.reports
expcore.common

### Commands

report | Reports a player and notifies moderators
get-reports | Gets a list of all reports that a player has on them.
clear-reports | Clears all reports from a player or just the report from one player.

### Dependencies

# expcore.roles
# expcore.commands
# modules.control.reports
# expcore.common

### Commands

# report

  Reports a player and notifies moderators

  Command Parameters:
  - player : (LuaPlayer) the player to report, some players are immune
  - reason : (string) the reason the player is being reported
# get-reports

  Gets a list of all reports that a player has on them.

  If no player then lists all players and the number of reports on them.

  Command Parameters:
  - player : (LuaPlayer) the player to get the report for
# clear-reports

  Clears all reports from a player or just the report from one player.

  Command Parameters:
  - player : (LuaPlayer) the player to clear the report(s) from
  - from : (LuaPlayer) -player remove only the report made by this player (default: all)